/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::Network:Service
 * Copyright (c) 2004-2015 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    Net_Config_SNMP_Agent.h
 * Purpose: Network Configuration for SNMP Agent
 * Rev.:    V7.0.0
 *----------------------------------------------------------------------------*/

//-------- <<< Use Configuration Wizard in Context Menu >>> --------------------

// <h>SNMP Agent
#define SNMP_AGENT_ENABLE       1

//   <s.15>Community Name
//   <i>Defines where an SNMP message is destined for.
//   <i>Default: "public"
#define SNMP_AGENT_COMMUNITY    "public"

//   <o>Port Number <1-65535>
//   <i>Listening port number
//   <i>Default: 161
#define SNMP_AGENT_PORT_NUM     161

//   <o>Trap Port Number <1-65535>
//   <i>Port number for Trap operations
//   <i>Default: 162
#define SNMP_AGENT_TRAP_PORT    162

//   <s.15>Trap Server
//   <i>Trap Server IPv4 Address in text representation
//   <i>Default: "192.168.0.100"
#define SNMP_AGENT_TRAP_IP      "192.168.0.100"

// </h>

//------------- <<< end of configuration section >>> ---------------------------
