/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2019 Arm Limited (or its affiliates). All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    HID.c
 * Purpose: USB Device - Human Interface Device example
 *----------------------------------------------------------------------------*/

#include "rl_usb.h"                     // Keil.MDK-Pro::USB:CORE

#include "board.h"                      // Keil::Board Support:SDK Project Template:Project_Template
#include "pin_mux.h"                    // Keil::Board Support:SDK Project Template:Project_Template


/* Main stack size must be multiple of 8 Bytes */
#define APP_MAIN_STK_SZ (1024U)
static uint64_t app_main_stk[APP_MAIN_STK_SZ / 8];
const osThreadAttr_t app_main_attr = {
  .stack_mem  = &app_main_stk[0],
  .stack_size = sizeof(app_main_stk)
};

/*------------------------------------------------------------------------------
 *        Application
 *----------------------------------------------------------------------------*/
__NO_RETURN void app_main (void *arg) {
  uint8_t but, but_last;

  (void)arg;

  USBD_Initialize         (0U);         // USB Device 0 Initialization
  USBD_Connect            (0U);         // USB Device 0 Connect

  for(;;) {                             // Loop forever
    but = GPIO_PinRead(BOARD_INITBUTTONS_USER_BUTTON_PORT, BOARD_INITBUTTONS_USER_BUTTON_PIN) ^ 1U;
    if (but != but_last) {
      but_last = but;
      USBD_HID_GetReportTrigger(0U, 0U, &but, 1U);
    }
    osDelay(100U);                      // 100 ms delay for sampling buttons
  }
}
