/* -----------------------------------------------------------------------------
 * Copyright (c) 2013-2018 Arm Limited
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from
 * the use of this software. Permission is granted to anyone to use this
 * software for any purpose, including commercial applications, and to alter
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source distribution.
 *
 *
 * $Date:        24. April 2018
 * $Revision:    V1.0
 *
 * Project:      USB2 common (Device and Host) module for 
 *               NXP i.MX RT 105x Series
 * -------------------------------------------------------------------------- */

/* History:
 *  Version 1.0
 *    Initial release
 */

/*! \cond */

#include "cmsis_compiler.h"

#include "Driver_USB.h"

#include "RTE_Components.h"

volatile uint8_t USB2_role  = ARM_USB_ROLE_NONE;
volatile uint8_t USB2_state = 0U;

__WEAK void USBH2_IRQ (void) {};
__WEAK void USBD2_IRQ (void) {};

extern void USBH2_IRQ (void);
extern void USBD2_IRQ (void);


// Common IRQ Routine **********************************************************

/**
  \fn          void USB_OTG1_IRQHandler (void)
  \brief       USB2 Interrupt Routine (IRQ).
*/
void USB_OTG2_IRQHandler (void) {
  switch (USB2_role) {
    case ARM_USB_ROLE_HOST:
      USBH2_IRQ ();
      break;
    case ARM_USB_ROLE_DEVICE:
      USBD2_IRQ ();
      break;
    default:
      break;
  }
}

/*! \endcond */
