/* -----------------------------------------------------------------------------
 * Copyright (c) 2013-2018 Arm Limited
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from
 * the use of this software. Permission is granted to anyone to use this
 * software for any purpose, including commercial applications, and to alter
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source distribution.
 *
 *
 * $Date:        20. April 2018
 * $Revision:    V1.0
 *
 * Project:      USB Driver Definitions for NXP i.MX RT 105x Series
 * -------------------------------------------------------------------------- */

#ifndef __USB_IMXRT105X_H
#define __USB_IMXRT105X_H

#include "RTE_Components.h"

#if defined(RTE_Drivers_USBD1) || defined(RTE_Drivers_USBD2)
#include "usb_device_config.h"
#endif

// USB Device Drivers
#if defined(RTE_Drivers_USBD1) && defined(RTE_Drivers_USBD2)
#if (USB_DEVICE_CONFIG_EHCI != 2)
  #warning Two CMSIS USBD driver are selected. Set USB_DEVICE_CONFIG_EHCI to 2 in usb_device_config.h.
#endif
#elif defined(RTE_Drivers_USBD1) || defined(RTE_Drivers_USBD2)
#if (USB_DEVICE_CONFIG_EHCI != 1)
  #warning One CMSIS USBD driver is selected. Set USB_DEVICE_CONFIG_EHCI to 1 in usb_device_config.h.
#endif
#endif

// USB Driver State Flags
// Device State Flags
#define USBD_DRIVER_INITIALIZED                (1U           )
#define USBD_DRIVER_POWERED                    (1U     <<  1U)

// Host State Flags
#define USBH_DRIVER_INITIALIZED                (1U     <<  4U)
#define USBH_DRIVER_POWERED                    (1U     <<  5U)

#endif // __USB_IMXRT105X_H
